<?php

namespace GriffinForms\Includes\Notifications\Events;

use GriffinForms\Includes\Notifications\NotificationEventInterface;

class PaymentReceivedEvent implements NotificationEventInterface
{
    public function getEventId(): string
    {
        return 'payment_received';
    }

    public function getLabel(): string
    {
        return __('Payment', 'griffinforms-form-builder');
    }

    public function getSubEvents(): array
    {
        return [
            'payment_success' => __('Payment Successful', 'griffinforms-form-builder'),
            'payment_failed'  => __('Payment Failed', 'griffinforms-form-builder'),
        ];
    }
}
